Request

Response

    Get a job
    GET

    queues/{queueId}/jobs/{jobId}

    Get the job specified by the jobId.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/flow/compute/v1/queues/{queueId}/jobs/{jobId}
    Authentication Context
    user context optional
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via either a two-legged or three-legged OAuth flow.
    region
    string
    The region targeted by the request. The usage of this header is recommended for faster processing. The region specified must match the region in which the targeted job queue was created or else the request will fail.
    * Required

    Request

    URI Parameters

    queueId
    string
    The queue ID. Use the special ID @default to indicate the default queue for the user or client app.
    jobId
    string
    The job ID

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    Bad request - indicates an incorrectly structured or otherwise incorrect request.
    401
    Unauthorized
    Unauthorized - credentials are invalid or not provided in the request
    403
    Forbidden
    Forbidden - the user or client does not have the required privileges to access this resource
    404
    Not Found
    The specified resource was not found

    Response

    Body Structure (200)

    Expand all
    createdAt
    datetime: ISO 8601
    The date and time of creation in ISO 8601 format (UTC)
    updatedAt
    datetime: ISO 8601
    The date and time of the last update in ISO 8601 format (UTC)
    startedAt
    datetime: ISO 8601
    The date and time when processing started in ISO 8601 format (UTC)
    endedAt
    datetime: ISO 8601
    The date and time when processing completed in ISO 8601 format (UTC)
    error
    object
    Information about an error encountered while executing a task
    details
    object
    message
    string
    A text representation of the error.
    id
    string
    A unique ID for a specific job

    Max length: 1024

    name
    string
    The user-provided name of the job.

    Max length: 200

    progress
    object
    Provides information about the progress of a task.
    percent
    number
    Indicates the percentage complete for a task.

    Note: The percentage complete is an indication only and should not be used to determine whether a task is entirely completed or not - use the status for this instead.

    details
    object
    Executor-specific additional progress details.
    stats
    object
    tasks
    object
    Statistics relating to the number of task executions in a job or within a task execution that can result in multiple task executions.
    canceled
    int
    The number of canceled task executions currently known.
    failed
    int
    The number of failed task executions currently known.
    running
    int
    The number of running task executions currently known.
    scheduled
    int
    The number of scheduled task executions currently known.
    succeeded
    int
    The number of succeeded task executions currently known.
    total
    int
    The total number of task executions currently known.
    waiting
    int
    The number of waiting task executions currently known.
    results
    object
    The results from a task.
    details
    object
    Executor-specific task result details.
    status
    enum:string
    Specifies the status of a task/job Possible values: CREATED, WAITING, SCHEDULED, RUNNING, SUCCEEDED, FAILED, CANCELED
    tags
    array: string
    A list of user-provided tags

    Example

    This example gets information about a job.

    Request

    curl -v 'https://developer.api.autodesk.com/flow/compute/v1/queues/@default/jobs/da4aa881-d54b-4c5a-a142-391ebd9e98e0' \
      -X 'GET' \
      -H 'Authorization: Bearer eyJhbG...' \
    

    Response

    {
        "createdAt": "2024-04-26T18:38:05.301Z",
        "endedAt": "2024-04-26T19:32:51.929Z",
        "id": "da4aa881-d54b-4c5a-a142-391ebd9e98e0",
        "name": "my sample app job",
        "results": {
            "details": {
                "stats": {
                    "tasks": {
                        "scheduled": 0,
                        "succeeded": 1,
                        "total": 1
                    }
                }
            }
        },
        "status": "SUCCEEDED",
        "tags": [
            "sample app"
        ],
        "updatedAt": "2024-04-26T19:32:51.929Z"
    }
    
    Show More